Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - pulseaudio-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: pulseaudio-git v8.0.76.gb5e5475-1

Git Clone URL: https://aur-dev.archlinux.org/pulseaudio-git.git (read-only)
Package Base: pulseaudio-git
Description: A featureful, general-purpose sound server
Upstream URL: http://pulseaudio.org/
Licenses: GPL, LGPL
Conflicts: libpulse, pulseaudio, pulseaudio-bluetooth, pulseaudio-equalizer, pulseaudio-gconf, pulseaudio-jack, pulseaudio-lirc, pulseaudio-xen, pulseaudio-zeroconf
Provides: libpulse, pulseaudio, pulseaudio-bluetooth, pulseaudio-equalizer, pulseaudio-gconf, pulseaudio-jack, pulseaudio-lirc, pulseaudio-xen, pulseaudio-zeroconf
Replaces: libpulse, pulseaudio, pulseaudio-bluetooth, pulseaudio-equalizer, pulseaudio-gconf, pulseaudio-jack, pulseaudio-lirc, pulseaudio-xen, pulseaudio-zeroconf
Submitter: None
Maintainer: cassava
Last Packager: cassava
Votes: 34
Popularity: 0.103491
First Submitted: 2009-02-09 14:33
Last Updated: 2016-04-23 10:05

Required by (522)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

vnoel commented on 2014-12-13 09:24

Hi,

It seems pulseaudio from this package is not started as it should at boot, I'm not sure what is the problem, but I wanted to report it here :)

skogsmaskin commented on 2014-12-03 15:28

Found a solution to my problems. I added " export MAKEFLAGS="-j1" " before calling make install in the package() function in PKGBUILD - then it worked fine. This might be related to that I have tweaked the /etc/makepkg.conf to support distcc running several threads (though I believe -j2 is the default). Seems like makepkg for this AUR isn't happy with running several threads on make install.

skogsmaskin commented on 2014-12-03 15:04

A bit more information on my comment. When I run "make DESTDIR="$pkgdir" install bashcompletiondir=/usr/share/bash-completion/completions" direct from the src folder it installs fine. But running from makepkg I get:

/home/pi/code/pulseaudio-git/src/pulseaudio/src/.libs/libpulse.so: file not recognized: File truncated
collect2: error: ld returned 1 exit status
libtool: install: error: relink `libcli.la' with the above command before installing it
Makefile:4883: recipe for target 'install-modlibexecLTLIBRARIES' failed

And that seems like the origin of the problem below. Is there a way to force makepkg to only deal with what is in the ./pkg folder and make a package from that?

skogsmaskin commented on 2014-12-03 11:53

Hi! I'm having trouble making the package in the last steps of the process. Pulseaudio compiles just fine and makepkg copies files to ./pkg/pulseaudio-git, then it fails with this message:

libtool: install: /usr/bin/install -c .libs/libpulsecore-5.99.soT /home/pi/code/pulseaudio-git/pkg/pulseaudio-git/usr/lib/libpulsecore-5.99.so
libtool: install: /usr/bin/install -c .libs/libpulsecore-5.99.lai /home/pi/code/pulseaudio-git/pkg/pulseaudio-git/usr/lib/libpulsecore-5.99.la
libtool: install: warning: remember to run `libtool --finish /usr/lib'
make[4]: Leaving directory '/home/pi/code/pulseaudio-git/src/pulseaudio/src'
Makefile:10774: recipe for target 'install-am' failed
make[3]: *** [install-am] Error 2
make[3]: Leaving directory '/home/pi/code/pulseaudio-git/src/pulseaudio/src'
Makefile:10768: recipe for target 'install' failed
make[2]: *** [install] Error 2
make[2]: Leaving directory '/home/pi/code/pulseaudio-git/src/pulseaudio/src'
Makefile:792: recipe for target 'install-recursive' failed
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory '/home/pi/code/pulseaudio-git/src/pulseaudio'
Makefile:1091: recipe for target 'install' failed
make: *** [install] Error 2

Any ideas?

erkexzcx commented on 2014-10-26 10:54

It didn't install for me because something is wrong with PKGBUILD file. pulseaudio-zsh-completion.zsh doesn't exist.

the last line of the function "package()" should be:

install -Dm644 shell-completion/zsh/_pulseaudio "$pkgdir/usr/share/zsh/site-functions/_pulseaudio"

erkexzcx commented on 2014-10-25 20:39

It didn't install for me because something is wrong with PKGBUILD file. pulseaudio-zsh-completion.zsh doesn't exist.

the last command line of the function "package()" should be:

install -Dm644 shell-completion/zsh/_pulseaudio "$pkgdir/usr/share/zsh/site-functions/_pulseaudio"

Nazfellun commented on 2014-07-13 03:05

wahtshisname: libtool is part of the base-devel group, and packages in the AUR assume you have base-devel installed - they do not & should not list packages from it as dependencies, regardless of whether or not they require them to build. The wiki page on the AUR covers this :).

jleclanche commented on 2014-01-19 15:44

libtool is part of base-devel. Packages in base-devel should be installed when you build packages, they are not to be listed in dependencies.

whatshisname commented on 2014-01-19 15:39

beroal. Same error message BUT I started examining the output on stdout looking at what was found on my system and what wasn't. Just happened to notice that it couldn't find "libtool". I'm no C programmer but that sounded like something I probably ought to have so I installed it and pulseaudio-git finally compiled!!

The moral to this story is that "libtool" should be listed as a dependency.

Thanks for the push, beroal. I was close to giving up. Now to see if I can *finally* get my bluetooth headset to work!

beroal commented on 2014-01-19 09:34

and "pulseaudio"